# shellcheck shell=bash
# vim: ft=sh

zinit light willghatch/zsh-saneopt
zinit light mafredri/zsh-async

export ZSHZ_CASE=smart
export ZSHZ_DATA="${ZSH_CACHE_DIR}/z"
zinit ice lucid wait'0' depth'1'
zinit light agkozak/zsh-z

zinit snippet OMZP::pj

if [ "$(id -u)" != "0" ] && [[ -n ${DISPLAY+set} ]]; then
	zstyle ':notify:*' expire-time 5000
	zstyle ':notify:*' command-complete-timeout 20
	zstyle ':notify:*' enable-on-ssh yes
	zinit light marzocchi/zsh-notify
fi

zinit snippet OMZL::clipboard.zsh
zinit snippet OMZL::key-bindings.zsh
zinit snippet OMZL::termsupport.zsh

if command -v autojump > /dev/null 2>&1; then
	zinit snippet OMZP::autojump
fi
if [ -x /usr/lib/command-not-found ]; then
	zinit snippet OMZP::command-not-found
fi
zinit snippet OMZP::common-aliases
zinit snippet OMZP::debian
zinit snippet OMZP::isodate
if command -v mosh > /dev/null 2>&1; then
	zinit snippet OMZP::mosh
fi
if command -v nmap > /dev/null 2>&1; then
	zinit snippet OMZP::nmap
fi
if command -v pre-commit > /dev/null 2>&1; then
	zinit snippet OMZP::pre-commit
fi
if command -v rsync > /dev/null 2>&1; then
	zinit snippet OMZP::rsync
fi
zinit snippet OMZP::vscode
zinit snippet OMZP::web-search
if command -v git-lfs > /dev/null 2>&1; then
	zinit light brymck/print-alias
fi

if command -v fzf > /dev/null 2>&1; then
	if is-at-least "0.34" "$(fzf --version | awk '{ print $1; }')"; then
		zinit ice lucid wait'0' mv"completion.zsh -> _fzf" pick"_fzf" as"completion"
		zinit snippet https://github.com/junegunn/fzf/blob/master/shell/completion.zsh
		zinit snippet https://github.com/junegunn/fzf/blob/master/shell/key-bindings.zsh

	fi
fi

if command -v git > /dev/null 2>&1; then
	GIT_AUTO_FETCH_INTERVAL=3600
	zinit snippet OMZL::git.zsh
	zinit snippet OMZP::git
	zinit snippet OMZP::git-extras
	zinit snippet OMZP::github
	[ -z ${SSH_CONNECTION+set} ] && zinit snippet OMZP::git-auto-fetch
fi

if command -v psql > /dev/null 2>&1; then
	zinit snippet OMZP::postgres
fi
if command -v sudo > /dev/null 2>&1; then
	zinit snippet OMZP::sudo
fi
if command -v systemctl > /dev/null 2>&1; then
	zinit snippet OMZP::systemd
fi
if command -v vim > /dev/null 2>&1; then
	zinit snippet OMZP::vim-interaction
fi
if command -v tmux > /dev/null 2>&1; then
	zstyle ':prezto:module:tmux:auto-start' local 'no'
	zstyle ':prezto:module:tmux:auto-start' remote 'no'
	zstyle ':prezto:module:tmux:session' name "$(hostname)"
	zinit ice pick'init.zsh'
	zinit light laggardkernel/zsh-tmux
	zinit light amyreese/zsh-titles
fi
if command -v kitty > /dev/null 2>&1; then
	zinit light redxtech/zsh-kitty
fi

